# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Fri Jan 24 11:48:03 2025
# ------------------------------------------------

package:
  name: manta
  version: 1.6.0
source:
  patches:
    - boost-shlibs.patch
  sha256: c846d61b02483265c09d58bd85dacf5326a94f38179b5ae4f70694be96e1368f
  url: https://github.com/Illumina/manta/releases/download/v1.6.0/manta-1.6.0.release_src.tar.bz2
build:
  number: '5'
  run_exports:
    - manta >=1.6.0,<2.0a0
  string: py27h163da20_5
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.43 h4c662bb_2
    - binutils_linux-aarch64 2.43 hf1166c9_2
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.34.4 h86ecc28_0
    - ca-certificates 2024.12.14 hcefe29a_0
    - cmake 3.31.4 h0efca9c_0
    - gcc_impl_linux-aarch64 13.3.0 hcdea9b6_1
    - gcc_linux-aarch64 13.3.0 h1cd514b_7
    - gxx_impl_linux-aarch64 13.3.0 h1211b58_1
    - gxx_linux-aarch64 13.3.0 h2864abd_7
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.43 h80caac9_2
    - libcurl 8.11.1 h6702fde_0
    - libedit 3.1.20240808 pl5321h976ea20_0
    - libev 4.33 h31becfc_2
    - libexpat 2.6.4 h5ad3122_0
    - libgcc 14.2.0 he277a41_1
    - libgcc-devel_linux-aarch64 13.3.0 h0c07274_101
    - libgcc-ng 14.2.0 he9431aa_1
    - libgomp 14.2.0 he277a41_1
    - liblzma 5.6.3 h86ecc28_1
    - libnghttp2 1.64.0 hc8609a4_0
    - libsanitizer 13.3.0 ha58e236_1
    - libssh2 1.11.1 ha41c0db_0
    - libstdcxx 14.2.0 h3f4de04_1
    - libstdcxx-devel_linux-aarch64 13.3.0 h0c07274_101
    - libstdcxx-ng 14.2.0 hf1166c9_1
    - libuv 1.50.0 h86ecc28_0
    - libzlib 1.3.1 h86ecc28_2
    - make 4.4.1 h2a6d0cb_2
    - ncurses 6.5 ha32ae93_2
    - openssl 3.4.0 hd08dc88_1
    - rhash 1.4.5 h86ecc28_0
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tzdata 2025a h78e105d_0
    - zstd 1.5.6 h02f22dd_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - boost-cpp 1.85.0 ha990451_2
    - bzip2 1.0.8 h68df207_7
    - ca-certificates 2024.12.14 hcefe29a_0
    - certifi 2019.9.11 py27_0
    - icu 73.2 h787c7f5_0
    - ld_impl_linux-aarch64 2.43 h80caac9_2
    - libboost 1.85.0 hb41fec8_2
    - libboost-devel 1.85.0 h37bb5a9_2
    - libboost-headers 1.85.0 h8af1aa0_2
    - libffi 3.2.1 h4c5d2ac_1007
    - libgcc 14.2.0 he277a41_1
    - libgcc-ng 14.2.0 he9431aa_1
    - libgomp 14.2.0 he277a41_1
    - liblzma 5.6.3 h86ecc28_1
    - liblzma-devel 5.6.3 h86ecc28_1
    - libsqlite 3.46.0 hf51ef55_0
    - libstdcxx 14.2.0 h3f4de04_1
    - libstdcxx-ng 14.2.0 hf1166c9_1
    - libzlib 1.2.13 h68df207_6
    - ncurses 6.5 ha32ae93_2
    - openssl 1.1.1w h31becfc_0
    - pip 20.1.1 pyh9f0ad1d_0
    - python 2.7.15 h5a48372_1011_cpython
    - readline 8.2 h8fc344f_1
    - setuptools 41.4.0 py27_0
    - sqlite 3.46.0 hdc7ab3c_0
    - tk 8.6.13 h194ca79_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xz 5.6.3 h2dbfc1b_1
    - xz-gpl-tools 5.6.3 h2dbfc1b_1
    - xz-tools 5.6.3 h86ecc28_1
    - zlib 1.2.13 h68df207_6
    - zstd 1.5.6 h02f22dd_0
  run:
    - libboost
    - libgcc >=13
    - libstdcxx >=13
    - python >=2.7,<2.8.0a0
    - python_abi 2.7.* *_cp27mu
test:
  commands:
    - configManta.py -h
    - ${PREFIX}/libexec/CheckSVLoci -h 2>&1 | grep usage
about:
  home: https://github.com/Illumina/manta
  license: GPL-3.0-only
  summary: Structural variant and indel caller for mapped sequencing data
extra:
  additional-platforms:
    - linux-aarch64
  copy_test_source_files: true
  final: true
  identifiers:
    - biotools:Manta9235
